Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

# Class DataObjectModel

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.DataObjectModel

All Implemented Interfaces:
  `Serializable`

public class DataObjectModel extends BaseModel

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`dataType`
`Long`
`size`
`String`
`valueType`
`String`
`varName`
`Long`
`workerId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

## Constructor Summary

Constructors
Constructor
Description
`DataObjectModel()`
`DataObjectModel(Long id, String varName, String dataType, String valueType, Long size)`
`DataObjectModel(String varName, String dataType, String valueType, Long size)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### workerId

public Long workerId

### varName

public String varName

### dataType

public String dataType

### valueType

public String valueType

### size

public Long size

## Constructor Details

### DataObjectModel

public DataObjectModel()

### DataObjectModel

public DataObjectModel(String varName, String dataType, String valueType, Long size)

### DataObjectModel

public DataObjectModel(Long id, String varName, String dataType, String valueType, Long size)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`